<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
HeapRecordId Members
HeapRecordId Class Constructors Methods Properties See Also Send Feedback

The HeapRecordId type exposes the following members.

# Constructors

| Name | Description
--- | --- | ---
| HeapRecordId | Construct a new record id, given a page number and index.

# Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| fromArray | Overloaded.
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| toArray | Overloaded.
| ToString | Returns a String that represents the current Object. (Inherited from Object.)

# Properties

| Name | Description
--- | --- | ---
| Index | Index in the offset table where the record can be found.
| PageNumber | The database page number where the record is stored.

# See Also

HeapRecordId Class
BerkeleyDB Namespace